Subject: Re: tbench regression on each kernel release from 2.6.22 -> 2.6.28

From: Christoph Lameter <[email-masked]>
Date: Tue, 12 Aug 2008 13:57:13 -0500

Andi Kleen wrote:
> Christoph Lameter <[email-masked]> writes:
> 
>> Maybe what we are seeing is general bloat in kernel execution paths
>> due to the growth in complexity?
> 
> Wouldn't surprise me. Have you considered doing profiles? 

If I get the time I will try to do that.

Another way to understand why we are accepting the regressions here may be
that we give more consideration to real time issues and deterministic
performance these days. Hardware speed gains compensate for the additional
bloat? (I ran the old kernels on cutting edge hardware after all).